package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbageRegionExample;
import com.lightinit.hsdatashow.entity.WaterqualityFocus;
import com.lightinit.hsdatashow.entity.WaterqualityFocusExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.WaterqualityFocusModel;
import com.lightinit.hsdatashow.model.ms.GarbageRegionModel;
import org.apache.ibatis.annotations.Param;

public interface WaterqualityFocusMapper {
    long countByExample(WaterqualityFocusExample example);

    int deleteByExample(WaterqualityFocusExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterqualityFocus record);

    int insertSelective(WaterqualityFocus record);

    List<WaterqualityFocus> selectByExample(WaterqualityFocusExample example);

    WaterqualityFocus selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterqualityFocus record, @Param("example") WaterqualityFocusExample example);

    int updateByExample(@Param("record") WaterqualityFocus record, @Param("example") WaterqualityFocusExample example);

    int updateByPrimaryKeySelective(WaterqualityFocus record);

    int updateByPrimaryKey(WaterqualityFocus record);

    List<WaterqualityFocusModel> getWaterqualityFocus(@Param("year") int year);

    List<GarbageRegionModel> selectList(GarbageRegionExample example);

    long selectCount(GarbageRegionExample example);

    GarbageRegionModel findByRegionId(Long id);
}